// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define 1 1
#define 0 0

// type scope
#define private 0
#define protected 1
#define public 2

class CfgPatches
{
	class K36hawk
	{
		units[] = {K36hawk};
		weapons[] = {K36sidewinder};
		requiredVersion = 1.30;
	};
};


class CfgAmmo
{
	class Default {};
	class AT3: Default {};
	class CarlGustav: AT3 {};
 	class AA : CarlGustav {};
	class K36aim9 : AA
	{
		proxyShape="\K36hawk\KEGaim9.p3d";
		maneuvrability= 100;
		airLock=1;
		irlock=0;
		laserlock=0; 
		initTime=0.4;
		reloadtime= 0.0001;
		maxleadspeed= 4000;
		ThrustTime= 600;
		maxControlRange= 2000;
		thrust= 2000;
		maxSpeed= 2100;
		hit= 200;indirectHit= 100;indirectHitRange= 8;		
		minRange=50;minRangeProbab=0.50;
		midRange=1000;midRangeProbab=0.95;
		maxRange=20000;maxRangeProbab=0.95;
		model = "\K36hawk\KEGaim9.p3d";
		
	};
	class K36GBU28 : AA
	{
		hit=5000;indirectHit=3500;indirectHitRange=60;
		minRange=50;minRangeProbab=0.50;
		midRange=300;midRangeProbab=0.95;
		maxRange=1500;maxRangeProbab=0.95;
		soundHit[]={\K36hawk\expl2.wss,db40,1};
		cost=20000;
		
		model = Snake;
		proxyShape = Snake;
		
		airlock=0;
		irLock=1;
		laserLock=1;
		maxControlRange=100000; // unlimited control (active weapon)
		maneuvrability=40.0;
		sideAirFriction=0.1;
		simulation=shotMissile;
		maxSpeed=250;

		initTime=0;
		thrustTime=0;
		thrust=0;
	};
	
	class B62 : AA
	{
		hit=1000000;indirectHit=700000;indirectHitRange=200;
		minRange=50;minRangeProbab=0.50;
		midRange=300;midRangeProbab=0.95;
		maxRange=1500;maxRangeProbab=0.95;
		soundHit[]={\K36hawk\expl2.wss,db+50,1};
		cost=20000;
		
		model = Snake;
		proxyShape = Snake;
		
		airlock=0;
		irLock=1;
		laserLock=1;
		maxControlRange=100000; // unlimited control (active weapon)
		maneuvrability=40.0;
		sideAirFriction=0.1;
		simulation=shotmissile;
		maxSpeed=250;

		initTime=0;
		thrustTime=0;
		thrust=0;
	};


	class Hellfire: AT3 {};
	class Maverick: Hellfire {};
	class K36AGM88 : Maverick
	{
		initTime=0.6;
		irLock=1;
		laserLock=1;
		thrust=600;
		hit=14000;indirectHit=5000;indirectHitRange=30;
				
	};
	class K36Maverick : Maverick
	{
		initTime=0.6;
		irlock=1;
		laserlock=1;
		thrust=600;
		hit=1500;indirecthit=700;indirecthitrange=10;
	};
	class BulletSingle: default {};
	class ExplosiveBullet: BulletSingle {};
	class Bullet30: ExplosiveBullet {};
	class K36AdenBullet30: Bullet30 {
		hit=50;
		indirectHit=30;
		explosive=0;		
	};

	
	
};


class CfgWeapons
{
	class Default {};
	class LAWLauncher: Default {};
	class CarlGustavLauncher : LAWLauncher {};
	class AT3Launcher: CarlGustavLauncher {};
	class HellfireLauncher: AT3Launcher {};
	class MaverickLauncher: HellfireLauncher {};
	class K36sidewinder: MaverickLauncher
	{
		ammo=K36aim9;
		displayName="AIM-9 Sidewinder";
		displayNameMagazine="Sidewinder";
		shortNameMagazine="AIM-9";
		reloadtime= 0.0001;
		count = 2;
		initspeed=0.2;	
		canLock=2;		
	};
	class K36sidewinder2: MaverickLauncher
	{
		ammo=K36aim9;
		displayName="AIM-9 Sidewinder";
		displayNameMagazine="Sidewinder";
		shortNameMagazine="AIM-9";
		reloadtime= 0.0001;
		count = 6;
		initspeed=0.2;	
		canLock=2;		
	};	

	class K36AGM88: MaverickLauncher
	{
		ammo=K36AGM88;
		displayName="AGM-88";
		displayNameMagazine="AGM-88";
		shortNameMagazine="AGM-88";
		count=4;
		initspeed=0.0005;	
		canLock=2;		
	};
	class K36GBU28: MaverickLauncher
	{
		ammo=K36gbu28;
		displayName="GBU-28";
		displayNameMagazine="GBU-28";
		shortNameMagazine="GBU-28";
		count= 2;
		initspeed=15;	
		canLock=2;
				
	};
	class B62: MaverickLauncher
	{
		ammo=B62;
		displayName="B-62";
		displayNameMagazine="B62";
		shortNameMagazine="B62";
		count=2;
		initspeed=15;	
		canLock=2;		
	};
	
	
	class K36Maverick: MaverickLauncher
	{
		ammo=K36Maverick;
		displayname="Maverick"
		displaynamemagazine="MaverickMag";
		shortnamemagazine="MavMag";
		count=4;
		initspeed=15;
		canlock=2;
	};
	class MGun: Default {};
	class MachineGun7_6: MGun {};
	class MachineGun30: MachineGun7_6 {};
	class K36aden30mm: MachineGun30
	{
		displayName="30mm Aden cannon";
		displayNameMagazine="30mm Aden mag";
		shortNameMagazine="Aden mag";
		ammo="K36AdenBullet30";
		count=1200;
		dispersion=0.000001
		reloadTime=0.000001;
		initSpeed=700;
		sound[]={"\K36hawk\Aden.wav",3.162278,1};
		soundContinuous=0;
		flashSize=0.000000;
		maxLeadSpeed=1000;
		optics=1;
	};	
};


class CfgVehicles
{
	class All {};
	class AllVehicles: All {};
	class Air: AllVehicles {};
	class Plane: Air {};
	
	class K36hawk: Plane
	{
		scope=public;
		crew = SoldierGpilot;
		picture = \K36hawk\icon;
		side = 2;
		namesound="plane";
		displayName="Hawk 2";
		maneuvrability=800.0;
		accuracy=5.0;
		camouflage=3.00000;
		LaserScanner=1;
		AirTarget=0;
		AirScanRange=100000;
		AirScanGround=1;
		irTarget=1;
		irScanRange=100000;
		irScanGround=1;
		LaserTarget=0;		
		LaserScanRange=100000;
		LaserScanGround=1;
		driverAction = ManActA10Pilot;
		cargoAction[]={"ManActCessnaCargo"};
		maxSpeed = 1500;
		fuelcapacity=200;
		soundEngine[]={"Vehicles\01F5",1.200000,1.000000};
		weapons[]={"K36sidewinder","K36aden30mm"};
		magazines[]={"K36sidewinder","K36aden30mm"};
		armor=100;
		cost=20000;
		transportSoldier=1;
		model="\K36hawk\hawk.p3d";
		type=VAir;
		fov=0.5;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.1, 0.8, 1.0};
	};
		
	class K36hawk2: K36hawk
	{
		displayName="Hawk 2 (Maverick)";
		weapons[]={"K36Maverick","K36sidewinder","K36aden30mm"};
		magazines[]={"K36Maverick","K36sidewinder","K36aden30mm"};
	};

	class K36hawk3: K36hawk
	{
		displayName="Hawk 2 (AGM-88)";
		weapons[]={"K36AGM88","K36sidewinder","K36aden30mm"};
		magazines[]={"K36AGM88","K36sidewinder","K36aden30mm"};
	};
	class K36hawkLGB: K36hawk
	{
		displayName="Hawk 2 (LGB)";
		weapons[]={"K36GBU28","K36sidewinder","K36aden30mm"};
		magazines[]={"K36GBU28","K36sidewinder","K36aden30mm"};
	};
	class K36hawk4: K36hawk
	{
		displayName="Hawk 2 (Atom)";
		weapons[]={"B62","K36aden30mm"};
		magazines[]={"B62","K36aden30mm"};
	};
	
	class K36hawk5: K36hawk
	{
		displayName="Hawk 2 (SideWinder)";
		weapons[]={"K36sidewinder2","K36aden30mm"};
		magazines[]={"K36sidewinder2","K36aden30mm"};
	};
	
		
	
};


class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxyK36Aim9 : ProxyWeapon {model = "\K36hawk\KEGaim9.p3d"; simulation = "maverickweapon";}
};